Read a TAM Preview
curl --request GET \
--url https://api.monaco.com/v1/tam/preview/{preview_id}import requests
url = "https://api.monaco.com/v1/tam/preview/{preview_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monaco.com/v1/tam/preview/{preview_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/tam/preview/{preview_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/tam/preview/{preview_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monaco.com/v1/tam/preview/{preview_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/tam/preview/{preview_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"preview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PREPARING",
"request": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_filters": {
"account_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filtering_rules": {
"filters": [
{
"field": "<string>",
"condition": "<string>",
"value": null
}
],
"operator": "and"
},
"searching_rule": {
"value": "<string>"
}
},
"contact_filters": {
"include_keywords": [
"<string>"
],
"exclude_keywords": [
"<string>"
],
"seniority": "Individual Contributor",
"countries": [
"<string>"
]
},
"exclude_companies_without_titles": false,
"tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contact_tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tag_existing_accounts": true,
"tag_existing_contacts": true,
"qualifier_signal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"qualifier_rule": {
"value": true,
"operator": "equals"
},
"search_input": {
"filtering_rules": {
"filters": [
{
"field": "<string>",
"condition": "<string>",
"value": null
}
],
"operator": "and"
},
"title_enrichment": {
"condition": "or",
"criterias": []
},
"searching_rule": {
"value": "<string>"
},
"grouping_rule": {
"field": "<string>"
},
"sorting_rules": [],
"with_titles": false,
"title_search": [],
"exclude_companies_in_tam": false,
"max_candidates": 2,
"query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"pagination_meta": {
"current_page": 123,
"page_size": 123,
"total_pages": 123,
"total_count": 123
},
"tam_import_balance": {
"billing_mode": "platform",
"limited": true,
"period": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"kind": "calendar_month"
},
"accounts": {
"limit": 123,
"used": 1,
"remaining": 123,
"would_add": 123,
"after_import": 123,
"over_by": 123
},
"contacts": {
"limit": 123,
"used": 1,
"remaining": 123,
"would_add": 123,
"after_import": 123,
"over_by": 123
},
"exceeded": true
},
"result": {
"accounts": {
"matched": 1,
"eligible": 1,
"new": 1,
"existing": 1,
"exclusions": {},
"duplicate_source_rows": 0
},
"contacts": {
"matched": 1,
"eligible": 1,
"new": 1,
"existing": 1,
"exclusions": {},
"duplicate_source_rows": 0
},
"qualifier": {
"available": true,
"signal": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"question": "<string>",
"data_type": "<string>",
"rule": {
"value": true,
"operator": "equals"
}
},
"reason": "<string>"
}
},
"members": [
{
"member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_ordinal": 1,
"kind": "company",
"source_id": "<string>",
"selected": true,
"is_importable": true,
"data": {},
"company_id": "<string>",
"is_qualified": true,
"preparation_exclusion_reason": "<string>",
"is_duplicate_source_row": false,
"existing": true,
"exclusion_reason": "<string>",
"qualification": {}
}
],
"failure_reason": "<string>",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totals": {
"companies": {
"matched": 1,
"eligible": 1,
"new": 1,
"existing": 1,
"excluded": 1
},
"people": {
"matched": 1,
"eligible": 1,
"excluded": 1
}
},
"contacts_by_account": {
"new_accounts": {
"new": 1,
"existing": 1,
"total": 1
},
"existing_accounts": {
"new": 1,
"existing": 1,
"total": 1
}
},
"research": {
"status": "not_started",
"reason": "<string>",
"field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field_name": "<string>",
"question": "<string>",
"passed": 1,
"not_matched": 1,
"failed": 1,
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"cost": {
"unit_product": "<string>",
"charged": true,
"companies": 123,
"units": 123,
"unit_rate": 123,
"estimated_ai_signal_credits": 123,
"actual_ai_signal_credits": 123,
"rate_basis": "list",
"charged_operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}TAM
Read a TAM Preview
Read the Preview’s status, totals and Qualifier research without starting new work. Page its members with list_tam_preview_members. This does not calculate balance; use get_tam_import_balance with preview_id before confirming Import.
GET
/
v1
/
tam
/
preview
/
{preview_id}
Read a TAM Preview
curl --request GET \
--url https://api.monaco.com/v1/tam/preview/{preview_id}import requests
url = "https://api.monaco.com/v1/tam/preview/{preview_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monaco.com/v1/tam/preview/{preview_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/tam/preview/{preview_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/tam/preview/{preview_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monaco.com/v1/tam/preview/{preview_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/tam/preview/{preview_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"preview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PREPARING",
"request": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_filters": {
"account_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filtering_rules": {
"filters": [
{
"field": "<string>",
"condition": "<string>",
"value": null
}
],
"operator": "and"
},
"searching_rule": {
"value": "<string>"
}
},
"contact_filters": {
"include_keywords": [
"<string>"
],
"exclude_keywords": [
"<string>"
],
"seniority": "Individual Contributor",
"countries": [
"<string>"
]
},
"exclude_companies_without_titles": false,
"tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contact_tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tag_existing_accounts": true,
"tag_existing_contacts": true,
"qualifier_signal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"qualifier_rule": {
"value": true,
"operator": "equals"
},
"search_input": {
"filtering_rules": {
"filters": [
{
"field": "<string>",
"condition": "<string>",
"value": null
}
],
"operator": "and"
},
"title_enrichment": {
"condition": "or",
"criterias": []
},
"searching_rule": {
"value": "<string>"
},
"grouping_rule": {
"field": "<string>"
},
"sorting_rules": [],
"with_titles": false,
"title_search": [],
"exclude_companies_in_tam": false,
"max_candidates": 2,
"query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"pagination_meta": {
"current_page": 123,
"page_size": 123,
"total_pages": 123,
"total_count": 123
},
"tam_import_balance": {
"billing_mode": "platform",
"limited": true,
"period": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"kind": "calendar_month"
},
"accounts": {
"limit": 123,
"used": 1,
"remaining": 123,
"would_add": 123,
"after_import": 123,
"over_by": 123
},
"contacts": {
"limit": 123,
"used": 1,
"remaining": 123,
"would_add": 123,
"after_import": 123,
"over_by": 123
},
"exceeded": true
},
"result": {
"accounts": {
"matched": 1,
"eligible": 1,
"new": 1,
"existing": 1,
"exclusions": {},
"duplicate_source_rows": 0
},
"contacts": {
"matched": 1,
"eligible": 1,
"new": 1,
"existing": 1,
"exclusions": {},
"duplicate_source_rows": 0
},
"qualifier": {
"available": true,
"signal": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"question": "<string>",
"data_type": "<string>",
"rule": {
"value": true,
"operator": "equals"
}
},
"reason": "<string>"
}
},
"members": [
{
"member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_ordinal": 1,
"kind": "company",
"source_id": "<string>",
"selected": true,
"is_importable": true,
"data": {},
"company_id": "<string>",
"is_qualified": true,
"preparation_exclusion_reason": "<string>",
"is_duplicate_source_row": false,
"existing": true,
"exclusion_reason": "<string>",
"qualification": {}
}
],
"failure_reason": "<string>",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totals": {
"companies": {
"matched": 1,
"eligible": 1,
"new": 1,
"existing": 1,
"excluded": 1
},
"people": {
"matched": 1,
"eligible": 1,
"excluded": 1
}
},
"contacts_by_account": {
"new_accounts": {
"new": 1,
"existing": 1,
"total": 1
},
"existing_accounts": {
"new": 1,
"existing": 1,
"total": 1
}
},
"research": {
"status": "not_started",
"reason": "<string>",
"field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field_name": "<string>",
"question": "<string>",
"passed": 1,
"not_matched": 1,
"failed": 1,
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"cost": {
"unit_product": "<string>",
"charged": true,
"companies": 123,
"units": 123,
"unit_rate": 123,
"estimated_ai_signal_credits": 123,
"actual_ai_signal_credits": 123,
"rate_basis": "list",
"charged_operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 500